Bug 803119 - (CVE-2012-0455) CVE-2012-0455 Mozilla: XSS with Drag and Drop and Javascript: URL (MFSA 2012-13)
CVE-2012-0455 Mozilla: XSS with Drag and Drop and Javascript: URL (MFSA 2012-13)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120313,repor...
: Security
: 772690 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 21:59 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 05:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-03-13 21:59:59 EDT
Firefox prevents the dropping of javascript: links onto a frame to prevent malicious sites from tricking users into performing a cross-site scripting (XSS) attacks on themselves. Security researcher Soroush Dalili reported a way to bypass this protection.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-13.html
Comment 1 Huzaifa S. Sidhpurwala 2012-03-14 02:13:13 EDT
*** Bug 772690 has been marked as a duplicate of this bug. ***
Comment 2 errata-xmlrpc 2012-03-14 03:20:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0388 https://rhn.redhat.com/errata/RHSA-2012-0388.html
Comment 3 errata-xmlrpc 2012-03-14 03:41:11 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0387 https://rhn.redhat.com/errata/RHSA-2012-0387.html

Note You need to log in before you can comment on or make changes to this bug.